[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Trying to chase down required bundles processing

Hi Pascal,
 
Actually this confirms exactly what we have been seeing.  thanks for the info.
 
BR,
Dom


From: p2-dev-bounces@xxxxxxxxxxx [mailto:p2-dev-bounces@xxxxxxxxxxx] On Behalf Of Pascal Rapicault
Sent: August-29-11 7:10 PM
To: P2 developer discussions
Subject: Re: [p2-dev] Trying to chase down required bundles processing

When p2 installs from a legacy site, it has partial metadata for what is on the site. This partial metadata contains an IU for each feature and one stub IU that has no requirements for each plugin included in the feature. Consequently, any dependency from one of the plugin onto any other plugin not listed in the feature will result in an error.

For example 
Feature 1
  incl Bundle A
requires Bundle B

will result in an error if Bundle B is not listed in Feature 1.

This behaviour is done by design and in alignment with the behaviour that UM had. It also done because doing a complete metadata generation (ie. generating requirements with bundles) would require pulling down every single bundle from the server even though you may not install it.


On 2011-08-29, at 9:01 AM, Domenico Alessi wrote:

Hi Pascal,
 
Basically what happens is that P2 says that the plug-in can't be found in my repo even though it is there.  This happens for any bundle that I have in Required-Bundles in a MANFIEST.MF.  So, I was trying to find the place in the code with breakpoints, where it compiles the list of Required-Bundles and then tries to find them in the Repo, would this be in the validateProfile? 
 
Thanks in advance,
Dom


From: p2-dev-bounces@xxxxxxxxxxx [mailto:p2-dev-bounces@xxxxxxxxxxx] On Behalf Of Pascal Rapicault
Sent: August-27-11 11:44 AM
To: P2 developer discussions
Subject: Re: [p2-dev] Trying to chase down required bundles processing

Hi Dom, 

What is the error message returned by p2?
When installing bundles from a legacy update site (site.xml), p2 does an additional resolution phase at the end of the install to check the consistency of the resulting installation since all the necessary MD was not available up front. This is done in EclipseTouchpoint#validateProfile

HTH

PaScaL

On 2011-08-26, at 8:25 AM, Domenico Alessi wrote:

Hi All,
 
I am trying to debug something in p2.   I see that my installations fail when it comes to required bundles in the MANIFEST.MF files and I am trying to track down how this is processed with a legacy site.xml site and not an up to date p2 site (content and artifact jars).     I can't seem to find where it actually tries to resolve the file path and install of these bundles but I do see the provided capabilities get handled.  BTW, I am not saying this is a bug in p2, I have added some code into the platform and trying to debug, but I have not added any code in this area when it comes to MANIFEST.MF processing.
 
Thanks in advance,
Dom
_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev

_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev